Bug 139477 - Error Sharing Printers via Samba
Error Sharing Printers via Samba
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-16 02:41 EST by Grant Limberg
Modified: 2014-08-31 19:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 17:52:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Grant Limberg 2004-11-16 02:41:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
I have an HP LaserJet 6L that I'm trying to share via Samba.  It shows
up on the network but an Access Denied message is displayed in windows
when trying to view its stats.  The error message sent is "Access
Denied, unable to connect"

Also, the following is in /var/log/samba/smbd.log:

[2004/11/16 01:24:31, 0] smbd/server.c:main(760)
  smbd version 3.0.8pre1-0.pre1.3 started.
  Copyright Andrew Tridgell and the Samba Team 1992-2004
[2004/11/16 01:24:33, 0] printing/nt_printing.c:nt_printing_init(383)
  nt_printing_init: error checking published printers: WERR_ACCESS_DENIED

I did a google search for this on fedora, and all I found for this
specific error was a post on the Fedora Test list from October 1st,
2004 that had no replies to it:

http://www.redhat.com/archives/fedora-test-list/2004-October/msg00074.html

I am running the default SELinux configuration on this machine.  Just
thought I'd mention this.  I'm not sure if this is causing the error
or not.

Version-Release number of selected component (if applicable):
samba-3.0.8-0.pre1.3

How reproducible:
Always

Steps to Reproduce:
1.  Set the printer (was autoconfigured to lp0 on installation of fc3)
to be shared on my private lan (10.6.0.0/255.255.255.0)
2.  restarted cupsd
3.  restarted samba
    

Actual Results:  [2004/11/16 01:24:31, 0] smbd/server.c:main(760)
  smbd version 3.0.8pre1-0.pre1.3 started.
  Copyright Andrew Tridgell and the Samba Team 1992-2004
[2004/11/16 01:24:33, 0] printing/nt_printing.c:nt_printing_init(383)
  nt_printing_init: error checking published printers: WERR_ACCESS_DENIED

Expected Results:  the printer should be able to be accessed via the
network

Additional info:
Comment 1 Matthew Miller 2006-07-10 17:40:17 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 John Thacker 2006-10-30 17:52:23 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.